Skip to main content

Tasks

Collection of on-demand tasks


Import OBJ (Wavefront) files as Triangle Mesh objects

Converters

Version: 0.1.19
Preview

Import OBJ (Wavefront) files into Evo as Triangle Mesh geoscience objects. Supports triangles, quads (auto-triangulated), and multiple objects within a single file.

Parameters

The organisation identifier

Example: "/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}"

OBJ file to import.

The coordinate reference system for the mesh coordinates, specified as either an EPSG code string (e.g., 'EPSG:4326') or a WKT2 coordinate reference system definition string. If not provided, the CRS will be marked as unspecified.

Examples: {"key":"value"}, {"another_key":123}

Target specifying where to create or update the Triangle Mesh object. Contains 'reference' (File API URL) and optional 'overwrite' (boolean, only valid for path references).

Reference to the targeted object. Supported schemas: triangle-mesh/[>=2.2,<3]

Whether to overwrite the existing object.

Description to put into the target object.

Tags to put into the target object.

This schema accepts user-defined additional properties along with the documented schema. The additional properties must match the specified type where one is provided.

{
"file": "https://example.com",
"target": {
"reference": "https://example.com",
"overwrite": false,
"tags": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}
}

Returns

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: {"key":"value"}, {"another_key":123}

The Triangle Mesh object created from the input file.

Reference to a geoscience object. Supported schemas: triangle-mesh/[>=2.2,<3]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Endpoint

POST
/compute/orgs/{org_id}/converter/obj-import

Request

curl -X POST 'https://{service_host}/compute/orgs/{org_id}/converter/obj-import' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"object": {
"reference": "https://example.com",
"name": "string",
"schema_id": "string"
}
}

Was this page helpful?